## nova 26.3.0

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

pbr>=5.8.0 # Apache-2.0
SQLAlchemy>=1.4.13 # MIT
decorator>=4.1.0 # BSD
eventlet>=0.30.1 # MIT
Jinja2>=2.10 # BSD License (3 clause)
keystonemiddleware>=4.20.0 # Apache-2.0
lxml>=4.5.0 # BSD
Routes>=2.3.1 # MIT
cryptography>=2.7 # BSD/Apache-2.0
WebOb>=1.8.2 # MIT
greenlet>=0.4.15 # MIT
PasteDeploy>=1.5.0 # MIT
Paste>=2.0.2 # MIT
PrettyTable>=0.7.1 # BSD
sqlalchemy-migrate>=0.13.0 # Apache-2.0
alembic>=1.5.0 # MIT
netaddr>=0.7.18 # BSD
netifaces>=0.10.4 # MIT
paramiko>=2.7.1 # LGPLv2.1+
iso8601>=0.1.11 # MIT
jsonschema>=3.2.0 # MIT
python-cinderclient!=4.0.0,>=3.3.0 # Apache-2.0
keystoneauth1>=3.16.0 # Apache-2.0
python-neutronclient>=7.1.0 # Apache-2.0
python-glanceclient>=2.8.0 # Apache-2.0
requests>=2.25.1 # Apache-2.0
stevedore>=1.20.0 # Apache-2.0
websockify>=0.9.0 # LGPLv3
oslo.cache>=1.26.0 # Apache-2.0
oslo.concurrency>=5.0.1 # Apache-2.0
oslo.config>=8.6.0 # Apache-2.0
oslo.context>=3.4.0 # Apache-2.0
oslo.log>=4.6.1 # Apache-2.0
oslo.limit>=1.5.0 # Apache-2.0
oslo.reports>=1.18.0 # Apache-2.0
oslo.serialization>=4.2.0 # Apache-2.0
oslo.upgradecheck>=1.3.0
oslo.utils>=4.12.1 # Apache-2.0
oslo.db>=10.0.0 # Apache-2.0
oslo.rootwrap>=5.15.0 # Apache-2.0
oslo.messaging>=10.3.0 # Apache-2.0
oslo.policy>=3.7.0 # Apache-2.0
oslo.privsep>=2.6.2 # Apache-2.0
oslo.i18n>=5.1.0 # Apache-2.0
oslo.service>=2.8.0 # Apache-2.0
rfc3986>=1.2.0 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
psutil>=3.2.2 # BSD
oslo.versionedobjects>=1.35.0 # Apache-2.0
os-brick>=5.2 # Apache-2.0
os-resource-classes>=1.1.0 # Apache-2.0
os-traits>=2.9.0 # Apache-2.0
os-vif>=1.15.2 # Apache-2.0
castellan>=0.16.0 # Apache-2.0
microversion-parse>=0.2.1 # Apache-2.0
tooz>=1.58.0 # Apache-2.0
cursive>=0.2.1 # Apache-2.0
retrying>=1.3.3,!=1.3.0 # Apache-2.0
os-service-types>=1.7.0 # Apache-2.0
python-dateutil>=2.7.0 # BSD
futurist>=1.8.0 # Apache-2.0
openstacksdk>=0.35.0 # Apache-2.0
PyYAML>=5.1 # MIT
packaging>=21.0  # Apache-2.0

=== debian/changelog ===
nova (2:26.3.0-1~deb12u4~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-zed.infomaniak.ch>  Fri, 26 Sep 2025 12:57:05 +0000

nova (2:26.2.2-1~deb12u4) bookworm-security; urgency=medium

  * A vulnerability has been identified in OpenStack Nova and OpenStack Watcher
    in conjunction with volume swap operations performed by the Watcher
    service. Under specific circumstances, this can lead to a situation where
    two Nova libvirt instances could reference the same block device, allowing
    accidental information disclosure to the unauthorized instance. Added
    upstream patch: OSSN-0094_restrict_swap_volume_to_cinder.patch.
    (Closes: #1111689).

 -- Thomas Goirand <zigo@debian.org>  Thu, 21 Aug 2025 13:26:06 +0200

nova (2:26.2.2-1~deb12u3) bookworm-security; urgency=high

  * CVE-2024-40767: Regression VMDK/qcow arbitrary file access (CVE-2024-32498)
    Applied upstream patches (Closes: #1076774):
    - CVE-2024-40767_1_port_format_inspector_tests_from_glance_antelope.patch
    - CVE-2024-40767_2_Reproduce_iso_regression_with_deep_format_inspection_antelope.patch
    - CVE-2024-40767_3_Add-iso-file-format-inspector_antelope.patch
    - CVE-2024-40767_4_Change-force_format-strategy-to-catch-mismatches_antelope.patch
  * Add qemu-utils as build-depends to run new tests.

 -- Thomas Goirand <zigo@debian.org>  Wed, 10 Jul 2024 23:49:31 +0200

nova (2:26.2.2-1~deb12u2) bookworm-security; urgency=high

  * CVE-2024-32498: Arbitrary file access through custom QCOW2 external data.
    Added upstream patch (Closes: #1074762).
    - libvirt_Add_encryption_support_to_qemu-img_create_command.patch
    - CVE-2024-32498_nova-unified-patch-for-2023.1.patch
    - CVE-2024-32498_4_late-nova-fix.patch
  * Fix nova-compute-kvm depends to (= ${binary:Version}).
  * New upstream point release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 06 Mar 2024 11:15:59 +0100

nova (2:26.2.0-1~deb12u1) bookworm; urgency=medium

  * Upgraded to latest point release with the below bufixes:
    - Fixes CVE-2023-2088 (dropping patch).
    - Enable use of service user token with admin context.
    - Ironic: retry when node not available.
    - Remove deleted projects from flavor access list.
    - Revert "Debug Nova APIs call failures".

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Jun 2023 06:39:29 +0200

nova (2:26.1.0-4) unstable; urgency=high

  * Remove deprecated / removed options from nova-compute-ironic.conf.
  * CVE-2023-2088: Unauthorized volume access through deleted volume
    attachments. Applied upstream patch: Add force to os-brick disconnect.
    (Closes: #1035981).

 -- Thomas Goirand <zigo@debian.org>  Fri, 12 May 2023 10:15:11 +0200

=== debian/control ===
Source: nova
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 gustavo panizzo <gfa@zumbi.com.ar>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools (>= 123~),
 po-debconf,
 python3-all,
 python3-pbr (>= 5.8.0),
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 alembic (>= 1.5.0),
 bandit,
 genisoimage,
 libvirt-daemon-system,
 openssh-client,
 procps,
 python3-barbicanclient,
 python3-castellan,
 python3-cinderclient,
 python3-coverage,
 python3-cryptography,
 python3-cursive,
 python3-dateutil,
 python3-ddt,
 python3-decorator,
 python3-eventlet (>= 0.30.1),
 python3-fixtures,
 python3-futurist,
 python3-gabbi,
 python3-glanceclient,
 python3-greenlet,
 python3-hacking,
 python3-ironicclient,
 python3-iso8601,
 python3-jinja2,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-keystonemiddleware,
 python3-lxml,
 python3-memcache,
 python3-microversion-parse,
 python3-migrate,
 python3-mysqldb,
 python3-netaddr,
 python3-netifaces,
 python3-neutronclient,
 python3-novaclient,
 python3-openstackdocstheme,
 python3-openstacksdk,
 python3-os-api-ref,
 python3-os-brick (>= 5.2.0),
 python3-os-resource-classes (>= 1.1.0),
 python3-os-service-types,
 python3-os-traits (>= 2.9.0),
 python3-os-vif,
 python3-os-win (>= 5.5.0),
 python3-oslo.cache,
 python3-oslo.concurrency (>= 5.0.1),
 python3-oslo.config (>= 1:8.6.0),
 python3-oslo.context (>= 3.4.0),
 python3-oslo.db (>= 10.0.0),
 python3-oslo.i18n (>= 5.1.0),
 python3-oslo.limit (>= 1.5.0),
 python3-oslo.log (>= 4.6.1),
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy (>= 3.7.0),
 python3-oslo.privsep (>= 2.6.2),
 python3-oslo.reports,
 python3-oslo.rootwrap,
 python3-oslo.serialization (>= 4.2.0),
 python3-oslo.service (>= 2.8.0),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 4.12.1),
 python3-oslo.versionedobjects,
 python3-oslo.vmware,
 python3-oslotest,
 python3-osprofiler,
 python3-packaging,
 python3-paramiko,
 python3-paste,
 python3-pastedeploy,
 python3-pep8,
 python3-pil,
 python3-prettytable,
 python3-psutil,
 python3-psycopg2,
 python3-pymysql,
 python3-requests,
 python3-requests-mock,
 python3-retrying,
 python3-rfc3986,
 python3-routes,
 python3-sphinx-feature-classification,
 python3-sphinxcontrib.actdiag,
 python3-sphinxcontrib.seqdiag,
 python3-sqlalchemy (>= 1.4.13),
 python3-stestr,
 python3-stevedore,
 python3-testresources,
 python3-testscenarios,
 python3-testtools (>= 2.5.0),
 python3-tooz,
 python3-webob,
 python3-websockify,
 python3-wsgi-intercept,
 python3-yaml,
 qemu-utils,
 sqlite3,
 subunit,
Build-Conflicts:
 python3-cjson,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/services/nova
Vcs-Git: https://salsa.debian.org/openstack-team/services/nova.git
Homepage: http://www.openstack.org/software/openstack-compute/

Package: nova-api
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 iptables,
 nova-common (= ${binary:Version}),
 python3-pastescript,
 uwsgi-plugin-python3,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Recommends:
 python3-keystone,
Description: OpenStack Compute - compute API frontend
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 This package provides the API frontend.

Package: nova-common
Architecture: all
Depends:
 adduser,
 bridge-utils,
 dbconfig-common,
 iproute2 | iproute,
 python3-amqplib,
 python3-configobj,
 python3-iso8601,
 python3-nova (= ${binary:Version}),
 python3-openstackclient,
 q-text-as-data,
 sqlite3,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-pysqlite2 | python3-mysqldb | python3-psycopg2,
Description: OpenStack Compute - common files
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 This package contains elements that are needed by all parts of Nova.

Package: nova-compute
Architecture: all
Depends:
 adduser,
 conntrack,
 cgroup-tools,
 curl,
 dosfstools,
 ebtables,
 fdisk | util-linux (<< 2.29.2-3~),
 gawk,
 iptables,
 kpartx,
 nova-common (= ${binary:Version}),
 nova-compute-kvm | nova-compute-hypervisor,
 open-iscsi,
 ovmf,
 parted,
 qemu-utils,
 rsync,
 vlan,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Recommends:
 dmidecode,
Description: OpenStack Compute - compute node
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 This package equips a system to function as a compute node, running the
 virtual machines.

Package: nova-compute-ironic
Architecture: all
Depends:
 adduser,
 dpkg-dev,
 nova-common,
 nova-compute,
 python3-ironicclient,
 python3-libvirt,
 ${misc:Depends},
Provides:
 nova-compute-hypervisor,
Recommends:
 guestmount,
Conflicts:
 nova-baremetal,
 nova-compute-kvm,
 nova-compute-lxc,
 nova-compute-qemu,
 nova-compute-xen,
Description: OpenStack Compute - compute node (Ironic)
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 This is a dependency package for compute nodes using Ironic.

Package: nova-compute-kvm
Architecture: all
Depends:
 adduser,
 dpkg-dev,
 libvirt-daemon-system,
 nova-common (= ${binary:Version}),
 nova-compute (= ${binary:Version}),
 python3-libvirt,
 qemu-block-extra,
 qemu-system-x86,
 swtpm,
 ${misc:Depends},
Provides:
 nova-compute-hypervisor,
Recommends:
 guestmount,
Conflicts:
 nova-compute-ironic,
 nova-compute-lxc,
 nova-compute-qemu,
 nova-compute-xen,
Breaks:
 qemu-system-common (<< 1:4.0),
Description: OpenStack Compute - compute node (KVM)
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 This is a dependency package for compute nodes using KVM.

Package: nova-compute-lxc
Architecture: all
Depends:
 adduser,
 dpkg-dev,
 libvirt-daemon-system,
 lxc,
 nova-common,
 nova-compute,
 python3-libvirt,
 ${misc:Depends},
 ${python3:Depends},
Provides:
 nova-compute-hypervisor,
Conflicts:
 nova-compute-ironic,
 nova-compute-kvm,
 nova-compute-qemu,
 nova-compute-xen,
Description: OpenStack Compute - compute node (LXC)
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 This is a dependency package for compute nodes using LXC.

Package: nova-compute-qemu
Architecture: all
Depends:
 adduser,
 dpkg-dev,
 libvirt-daemon-system,
 nova-common,
 nova-compute,
 python3-libvirt,
 qemu-system,
 qemu-block-extra,
 swtpm,
 ${misc:Depends},
Provides:
 nova-compute-hypervisor,
Conflicts:
 nova-compute-ironic,
 nova-compute-kvm,
 nova-compute-lxc,
 nova-compute-xen,
Breaks:
 qemu-system-common (<< 1:4.0),
Description: OpenStack Compute - compute node (QEmu)
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 This is a dependency package for compute nodes using QEmu.

Package: nova-conductor
Architecture: all
Depends:
 nova-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack Compute - conductor service
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 This is the Nova conductor service component.

Package: nova-consoleproxy
Architecture: all
Provides:
 nova-ajax-console-proxy,
 nova-novncproxy,
 nova-spicehtml5proxy,
 nova-spiceproxy,
Conflicts:
 nova-novncproxy,
 nova-spicehtml5proxy,
Replaces:
 nova-novncproxy,
 nova-spicehtml5proxy,
Depends:
 debconf,
 nova-common (= ${binary:Version}),
 novnc,
 python3-websockify,
 spice-html5,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack Compute - NoVNC proxy

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

NOVA_CONF=$(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	python3 setup.py clean
	rm -rf doc/build/ doc/source/api doc/.autogenerated
	rm -rf tests.sqlite clean.sqlite run_tests.log
	rm -rf CA
	rm -rf nova.egg-info
	rm -f po/nova.pot
	rm -rf .autogenerated
	rm -f debian/nova-common.config debian/nova-common.postinst \
		debian/nova-api.config debian/nova-api.postinst debian/nova-common.postrm
	rm -f debian/*.init debian/*.service debian/*.upstart
	rm -rf build etc/nova/nova.conf.sample
	rm -rf .testrepository subunit.log instances keys
	rm -rf debian/bla
	rm -f debian/nova-api.templates debian/nova-common.templates
	find .  -type d -name __pycache__ -exec rm -r {} \+

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func nova-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func nova-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func nova-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func nova-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm nova-common.postrm
	pkgos-merge-templates nova-api nova endpoint
	pkgos-merge-templates nova-common nova db rabbit ksat

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html doc/source $(CURDIR)/debian/nova-doc/usr/share/doc/nova-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_installman:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b man doc/source doc/build/man
	dh_installman -O--buildsystem=python_distutils
endif

override_dh_auto_install:
	echo "Please do nothing"

override_dh_install:
	# Fix until https://review.opendev.org/c/openstack/nova/+/809980 is merged
	touch nova/db/api/__init__.py
	for i in $(PYTHON3S) ; do \
		python3 setup.py install -f --install-layout=deb --root=$(CURDIR)/debian/tmp ; \
	done

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'nova\.tests\.unit\.(?!(.*virt.libvirt\.test_driver\.LibvirtConnTestCase\.test_spawn_with_config_drive.*|.*test_wsgi\.TestWSGIServerWithSSL.*|.*test_hacking\.HackingTestCase.*|.*CreateInstanceTypeTest\.test_name_with_non_printable_characters.*|.*PatternPropertiesTestCase\.test_validate_patternProperties_fails.*|.*virt\.libvirt\.test_driver\.LibvirtDriverTestCase\.test_get_disk_xml.*|.*virt\.libvirt\.test_driver\.LibvirtConnTestCase\.test_detach_volume_with_vir_domain_affect_live_flag.*|.*virt\.libvirt\.test_driver\.LibvirtConnTestCase\.test_update_volume_xml.*|.*console\.test_websocketproxy\.NovaProxyRequestHandlerTestCase\.test_tcp_rst_no_compute_rpcapi.*|.*virt\.libvirt\.test_blockinfo\.LibvirtBlockInfoTest\.test_get_disk_mapping_rescue_with_config.*|.*virt\.libvirt\.test_blockinfo\.LibvirtBlockInfoTest\.test_get_disk_mapping_stable_rescue_ide_cdrom.*|.*virt\.libvirt\.volume\.test_nvme\.LibvirtNVMEVolumeDriverTestCase\.test_libvirt_nvme_driver_connect.*|.*virt\.libvirt\.volume\.test_nvme\.LibvirtNVMEVolumeDriverTestCase\.test_libvirt_nvme_driver_disconnect.*|.*virt\.libvirt\.volume\.test_nvme\.LibvirtNVMEVolumeDriverTestCase\.test_libvirt_nvme_driver_get_config.*|.*virt\.libvirt\.volume\.test_scaleio\.LibvirtScaleIOVolumeDriverTestCase.*|.*virt\.libvirt\.test_driver\.LibvirtDriverTestCase\.test_cross_cell_move_rbd_flatten_fetch_image_cache.*|.*virt\.libvirt\.test_driver\.LibvirtConnTestCase\.test_check_discard_for_attach_volume_blk_controller_no_unmap.*|.*virt\.libvirt\.test_driver\.LibvirtConnTestCase\.test_check_discard_for_attach_volume_no_unmap.*|.*virt\.libvirt\.test_driver\.LibvirtConnTestCase\.test_check_discard_for_attach_volume_valid_controller.*|.*virt\.libvirt\.test_driver\.LibvirtDriverTestCase\.test_rbd_image_flatten_during_fetch_image_cache.*|.*test_utils\.GenericUtilsTestCase\.test_temporary_chown.*|console\.test_websocketproxy\.NovaProxyRequestHandlerTestCase\.test_reject_open_redirect|console\.test_websocketproxy\.NovaProxyRequestHandlerTestCase\.test_reject_open_redirect_3_slashes|privsep\.test_utils\.SupportDirectIOTestCase\.test_supports_direct_io_with_exception_in_open|privsep\.test_utils\.SupportDirectIOTestCase\.test_supports_direct_io_with_exception_in_write))'
endif

	rm -rf $(CURDIR)/debian/tmp/usr/etc

	mkdir -p $(CURDIR)/debian/nova-common/usr/share/nova-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
		--output-file=$(CURDIR)/debian/nova-common/usr/share/nova-common/policy.json.example \
		--format json \
		--namespace nova

	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
		--output-file=$(CURDIR)/debian/nova-common/usr/share/nova-common/policy.yaml.example \
		--format yaml \
		--namespace nova

	mkdir -p $(CURDIR)/debian/nova-common/usr/share/nova-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file=$(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf \
		--wrap-width 140 \
		--namespace nova.conf \
		--namespace oslo.limit \
		--namespace oslo.log \
		--namespace oslo.messaging \
		--namespace oslo.policy \
		--namespace oslo.privsep \
		--namespace oslo.service.periodic_task \
		--namespace oslo.service.service \
		--namespace oslo.middleware \
		--namespace oslo.concurrency \
		--namespace oslo.reports \
		--namespace keystonemiddleware.auth_token \
		--namespace osprofiler

	pkgos-readd-keystone-authtoken-missing-options $(NOVA_CONF) keystone_authtoken nova

	mkdir -p $(CURDIR)/debian/nova-common/etc/nova/policy.d
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
		--output-file=$(CURDIR)/debian/nova-common/etc/nova/policy.d/00_default_policy.yaml \
		--format yaml \
		--namespace nova

	# Comment out deprecated policies, otherwise, Nova doesn't work
	sed -i 's/^"/#"/' $(CURDIR)/debian/nova-common/etc/nova/policy.d/00_default_policy.yaml

	# Use the policy.d folder
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf oslo_policy policy_dirs /etc/nova/policy.d


	# Otherwise, this is set to the build dir
	pkgos-fix-config-default $(NOVA_CONF) DEFAULT pybasedir /usr/lib/python3/dist-packages
	pkgos-fix-config-default $(NOVA_CONF) DEFAULT bindir /usr/bin

	# General needed fixes
	pkgos-fix-config-default $(NOVA_CONF) oslo_concurrency lock_path /var/lock/nova
	pkgos-fix-config-default $(NOVA_CONF) DEFAULT state_path /var/lib/nova

	# Let's use Neutron by default, and not stupid nova-network
	pkgos-fix-config-default $(NOVA_CONF) DEFAULT security_group_api neutron
	pkgos-fix-config-default $(NOVA_CONF) DEFAULT network_api_class nova.network.neutronv2.api.API
	pkgos-fix-config-default $(NOVA_CONF) DEFAULT use_neutron True
	pkgos-fix-config-default $(NOVA_CONF) DEFAULT linuxnet_interface_driver nova.network.linux_net.LinuxOVSInterfaceDriver
	pkgos-fix-config-default $(NOVA_CONF) DEFAULT firewall_driver nova.virt.firewall.NoopFirewallDriver
	pkgos-fix-config-default $(NOVA_CONF) neutron default_floating_pool ext-net

	# Fixup a few defaults for the [neutron] auth
	pkgos-fix-config-default $(NOVA_CONF) neutron auth_type password
	pkgos-fix-config-default $(NOVA_CONF) neutron username admin
	pkgos-fix-config-default $(NOVA_CONF) neutron user_domain_name default
	pkgos-fix-config-default $(NOVA_CONF) neutron project_name admin
	pkgos-fix-config-default $(NOVA_CONF) neutron project_domain_name default
	pkgos-fix-config-default $(NOVA_CONF) neutron service_name neutron
	pkgos-fix-config-default $(NOVA_CONF) neutron auth_url http://127.0.0.1:5000

	pkgos-fix-config-default $(NOVA_CONF) neutron service_metadata_proxy true

	# Convenient default for the SQLite default db

## nova 27.0.0

=== debian/changelog ===
nova (3:27.0.0-0ubuntu1.3) lunar-security; urgency=medium

  * SECURITY UPDATE: Unauthorized File Access (LP: #2021980)
    - debian/patches/CVE-2023-2088-1.patch: Use force=True for os-brick
      disconnect during delete.
    - debian/patches/CVE-2023-2088-2.patch: Enable use of service user
      token with admin context.
    - CVE-2023-2088

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 31 May 2023 16:32:03 -0400

nova (3:27.0.0-0ubuntu1.2) lunar-security; urgency=medium

  * SECURITY REGRESSION: Regressions in other projects (LP: #2020111)
    - debian/patches/series: Do not apply CVE-2023-2088.patch until
      patches are ready for all upstream OpenStack projects.
    - CVE-2023-2088

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 18 May 2023 09:42:49 -0400

nova (3:27.0.0-0ubuntu1.1) lunar-security; urgency=medium

  * d/gbp.conf: Create stable/2023.1 branch.
  * SECURITY UPDATE: Unauthorized File Access
    - debian/patches/CVE-2023-2088.patch: Use force=True for os-brick
      disconnect during delete.
    - CVE-2023-2088

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 04 May 2023 16:25:29 +0200

nova (3:27.0.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 23 Mar 2023 15:13:20 -0400

nova (3:26.1.0+git2023030309.59f7a524-0ubuntu2) lunar; urgency=medium

  * d/nova-compute-qemu.postinst: Add nova user to kvm group (LP: #2011535).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 15 Mar 2023 12:39:12 -0400

nova (3:26.1.0+git2023030309.59f7a524-0ubuntu1) lunar; urgency=medium

  * d/watch: Drop major version.
  * New upstream snapshot for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 03 Mar 2023 14:34:24 -0500

nova (3:26.1.0+git2023012815.98daf501-0ubuntu1) lunar; urgency=medium

  * New upstream snapshot for OpenStack Antelope.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Sat, 28 Jan 2023 15:39:05 -0500

nova (3:26.0.0+git2023011010.5e5b6751-0ubuntu1) lunar; urgency=medium

  * New upstream snapshot for OpenStack Antelope.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 10 Jan 2023 10:30:30 -0500

=== debian/control ===
Source: nova
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Openstack Maintainers <openstack@lists.launchpad.net>
Uploaders:
 Soren Hansen <soren@ubuntu.com>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 apache2-dev,
 debhelper-compat (= 13),
 dh-apache2,
 dh-python,
 lsb-release,
 openstack-pkg-tools (>= 119ubuntu1~),
 python3-all,
 python3-pbr (>= 5.8.0),
 python3-setuptools (>= 16.0),
 python3-sphinx (>= 2.0.0),
 python3-sphinx-feature-classification (>= 1.1.0),
Build-Depends-Indep:
 bandit,
 crudini,
 genisoimage,
 openssh-client,
 python3-alembic (>= 1.5.0),
 python3-babel (>= 2.3.4),
 python3-bandit (>= 1.1.0),
 python3-barbicanclient (>= 4.5.2),
 python3-castellan (>= 0.16.0),
 python3-cinderclient (>= 1:3.3.0),
 python3-contextlib2 (>= 0.5.5),
 python3-coverage (>= 4.0),
 python3-cryptography (>= 2.7),
 python3-cursive (>= 0.2.1),
 python3-dateutil (>= 2.7.0),
 python3-ddt (>= 1.2.1),
 python3-decorator (>= 4.1.0),
 python3-eventlet (>= 0.30.1),
 python3-fixtures (>= 3.0.0),
 python3-futurist (>= 1.8.0),
 python3-gabbi (>= 1.35.0),
 python3-glanceclient (>= 1:2.8.0),
 python3-greenlet (>= 0.4.15),
 python3-hacking,
 python3-ironicclient (>= 3.0.0),
 python3-iso8601 (>= 0.1.11),
 python3-jinja2 (>= 2.10),
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1 (>= 3.16.0),
 python3-keystonemiddleware (>= 4.20.0),
 python3-lxml (>= 4.5.0),
 python3-microversion-parse (>= 0.2.1),
 python3-migrate (>= 0.13.0),
 python3-mock (>= 3.0.0),
 python3-mypy (>= 0.761),
 python3-netaddr (>= 0.7.18),
 python3-netifaces (>= 0.10.4),
 python3-neutronclient (>= 1:7.1.0),
 python3-openstackdocstheme (>= 2.2.0),
 python3-openstacksdk (>= 0.35.0),
 python3-os-api-ref (>= 1.4.0),
 python3-os-brick (>= 5.2),
 python3-os-resource-classes (>= 1.1.0),
 python3-os-service-types (>= 1.7.0),
 python3-os-testr (>= 1.0.0),
 python3-os-traits (>= 2.9.0),
 python3-os-vif (>= 3.1.0),
 python3-os-win (>= 5.4.0),
 python3-os-xenapi (>= 0.3.4),
 python3-oslo.cache (>= 1.26.0),
 python3-oslo.concurrency (>= 5.0.1),
 python3-oslo.config (>= 1:8.6.0),
 python3-oslo.context (>= 1:3.4.0),
 python3-oslo.db (>= 10.0.0),
 python3-oslo.i18n (>= 5.1.0),
 python3-oslo.limit (>= 1.5.0),
 python3-oslo.log (>= 4.6.1),
 python3-oslo.messaging (>= 14.1.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 3.11.0),
 python3-oslo.privsep (>= 2.6.2),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.rootwrap (>= 5.15.0),
 python3-oslo.serialization (>= 4.2.0),
 python3-oslo.service (>= 2.8.0),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 4.12.1),
 python3-oslo.versionedobjects (>= 1.35.0),
 python3-oslo.vmware (>= 3.6.0),
 python3-oslotest (>= 1:3.8.0),
 python3-osprofiler (>= 1.4.0),
 python3-packaging (>= 21.0),
 python3-paramiko (>= 2.7.1),
 python3-paste (>= 2.0.2),
 python3-pastedeploy (>= 1.5.0),
 python3-pep8,
 python3-pkg-resources (>= 21.0.0),
 python3-prettytable (>= 0.7.1),
 python3-psutil (>= 3.2.2),
 python3-psycopg2 (>= 2.8),
 python3-pycodestyle (>= 2.0.0),
 python3-pymysql (>= 0.8.0),
 python3-pypowervm (>= 1.1.15),
 python3-reno,
 python3-requests (>= 2.25.1),
 python3-requests-mock (>= 1.2.0),
 python3-retrying (>= 1.3.3),
 python3-rfc3986 (>= 1.2.0),
 python3-routes (>= 2.3.1),
 python3-sphinxcontrib.actdiag (>= 0.8.5),
 python3-sphinxcontrib.seqdiag (>= 0.8.4),
 python3-sphinxcontrib.svg2pdfconverter (>= 0.1.0),
 python3-sqlalchemy (>= 1.4.13),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-tempest (>= 1:14.0.0),
 python3-testrepository (>= 0.0.18),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.5.0),
 python3-tooz (>= 1.58.0),
 python3-webob (>= 1:1.8.2),
 python3-websockify (>= 0.9.0),
 python3-wsgi-intercept (>= 1.7.0),
 python3-yaml (>= 5.1),
 python3-zvmcloudconnector (>= 1.3.0),
Build-Conflicts:
 python-cjson,
 python3-cjson,
Standards-Version: 4.6.1
Homepage: https://launchpad.net/nova
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/nova

Package: nova-ajax-console-proxy
Architecture: all
Section: oldlibs
Priority: extra
Depends:
 python3-nova (= ${source:Version}),
 ${misc:Depends},
Description: OpenStack Compute - AJAX console proxy - transitional package
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 Nova is intended to be modular and easy to extend and adapt. It supports many
 different hypervisors (KVM and Xen to name a few), different database backends
 (SQLite, MySQL, and PostgreSQL, for instance), different types of user
 databases (LDAP or SQL), etc.
 .
 This package used to provide the AJAX proxy, which is now gone.

Package: nova-api
Architecture: all
Depends:
 iptables,
 python3-nova (= ${source:Version}),
 ${misc:Depends},
Description: OpenStack Compute - API frontend
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 Nova is intended to be modular and easy to extend and adapt. It supports many
 different hypervisors (KVM and Xen to name a few), different database backends
 (SQLite, MySQL, and PostgreSQL, for instance), different types of user
 databases (LDAP or SQL), etc.
 .
 This package provides the API frontend.

Package: nova-api-metadata
Architecture: all
Depends:
 python3-nova (= ${source:Version}),
 ${misc:Depends},
Conflicts:
 nova-api,
Description: OpenStack Compute - metadata API frontend
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 This package provides the metadata API backend for guest VMs.

Package: nova-api-os-compute
Architecture: all
Depends:
 apache2 | httpd,
 libapache2-mod-wsgi-py3,
 python3-nova (= ${source:Version}),
 ${misc:Depends},
Conflicts:
 nova-api,
Description: OpenStack Compute - OpenStack Compute API frontend
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 This package provides the OpenStack Compute API frontend.

Package: nova-api-os-volume
Section: oldlibs
Priority: extra
Architecture: all
Depends:
 cinder-api,
 ${misc:Depends},
Description: OpenStack Compute - OpenStack Volume API frontend
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 This is a dummy transitional package that can be removed after upgrade.

Package: nova-cells
Architecture: all
Depends:
 python3-nova (= ${source:Version}),
 ${misc:Depends},
Description: Openstack Compute - cells
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 Nova is intended to be modular and easy to extend and adapt. It supports many
 different hypervisors (KVM and Xen to name a few), different database backends
 (SQLite, MySQL, and PostgreSQL, for instance), different types of user
 databases (LDAP or SQL), etc.
 .
 This is the Nova cells component.

Package: nova-common
Architecture: all
Depends:
 adduser,
 ${misc:Depends},
Description: OpenStack Compute - common files
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 Nova is intended to be modular and easy to extend and adapt. It supports many
 different hypervisors (KVM and Xen to name a few), different database backends
 (SQLite, MySQL, and PostgreSQL, for instance), different types of user
 databases (LDAP or SQL), etc.
 .
 This package contains things that are needed by all parts of Nova.

Package: nova-compute
Architecture: all
Depends:
 bridge-utils,
 nova-compute-kvm | nova-compute-hypervisor,
 python3-nova (= ${source:Version}),
 ${misc:Depends},
Description: OpenStack Compute - compute node base
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 Nova is intended to be modular and easy to extend and adapt. It supports many
 different hypervisors (KVM and Xen to name a few), different database backends
 (SQLite, MySQL, and PostgreSQL, for instance), different types of user
 databases (LDAP or SQL), etc.
 .
 This is the package you will install on the nodes that will run your
 virtual machines.

Package: nova-compute-ironic
Architecture: all
Depends:
 python3-ironicclient (>= 2.7.0),
 python3-nova (= ${binary:Version}),
 ${misc:Depends},
Provides:
 nova-compute-hypervisor,
Conflicts:
 nova-compute-hypervisor,
Description: OpenStack Compute - compute node (Ironic)
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 Install this package on your compute nodes if you're using Ironic.

Package: nova-compute-kvm
Architecture: all
Depends:
 ipxe-qemu,
 ipxe-qemu-256k-compat-efi-roms,
 nova-compute-libvirt (= ${binary:Version}),
 qemu-kvm | qemu-system (>= 1.3.0),
 ${misc:Depends},
Provides:
 nova-compute-hypervisor,
Conflicts:
 nova-compute-hypervisor,
Description: OpenStack Compute - compute node (KVM)
 OpenStack is a reliable cloud infrastructure. Its mission is to produce

## nova 27.1.0

=== debian/changelog ===
nova (3:27.1.0-0ubuntu1) lunar; urgency=medium

  * New stable point release for OpenStack Antelope (LP: #2025491).
  * d/p/CVE-2023-2088-*.patch: Dropped. Fixed in point release.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 30 Jun 2023 13:41:34 -0400

## nova 27.1.0+git2023071215.f7ce4df5

=== requirements.txt ===
--- 
+++ 
@@ -16,7 +16,6 @@
 PasteDeploy>=1.5.0 # MIT
 Paste>=2.0.2 # MIT
 PrettyTable>=0.7.1 # BSD
-sqlalchemy-migrate>=0.13.0 # Apache-2.0
 alembic>=1.5.0 # MIT
 netaddr>=0.7.18 # BSD
 netifaces>=0.10.4 # MIT
@@ -42,8 +41,8 @@
 oslo.utils>=4.12.1 # Apache-2.0
 oslo.db>=10.0.0 # Apache-2.0
 oslo.rootwrap>=5.15.0 # Apache-2.0
-oslo.messaging>=10.3.0 # Apache-2.0
-oslo.policy>=3.7.0 # Apache-2.0
+oslo.messaging>=14.1.0 # Apache-2.0
+oslo.policy>=3.11.0 # Apache-2.0
 oslo.privsep>=2.6.2 # Apache-2.0
 oslo.i18n>=5.1.0 # Apache-2.0
 oslo.service>=2.8.0 # Apache-2.0
@@ -54,7 +53,7 @@
 os-brick>=5.2 # Apache-2.0
 os-resource-classes>=1.1.0 # Apache-2.0
 os-traits>=2.9.0 # Apache-2.0
-os-vif>=1.15.2 # Apache-2.0
+os-vif>=3.1.0 # Apache-2.0
 castellan>=0.16.0 # Apache-2.0
 microversion-parse>=0.2.1 # Apache-2.0
 tooz>=1.58.0 # Apache-2.0

=== debian/changelog ===
nova (3:27.1.0+git2023071215.f7ce4df5-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * d/p/skip-if-https-proxy.patch: Test skipped if https-proxy is set
    as lpci builds in .launchpad.yaml do.
  * New upstream snapshot for OpenStack Bobcat.
  * d/p/CVE-2023-2088-*.patch: Dropped. Fixed in snapshot.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 12 Jul 2023 15:04:04 -0400

nova (3:27.0.0-0ubuntu4) mantic; urgency=medium

  * SECURITY UPDATE: Unauthorized File Access (LP: #2021980)
    - debian/patches/CVE-2023-2088-1.patch: Use force=True for os-brick
      disconnect during delete.
    - debian/patches/CVE-2023-2088-2.patch: Enable use of service user
      token with admin context.
    - CVE-2023-2088

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 31 May 2023 12:11:02 -0400

nova (3:27.0.0-0ubuntu3) mantic; urgency=medium

  * SECURITY REGRESSION: Regressions in other projects (LP: #2020111)
    - debian/patches/series: Do not apply CVE-2023-2088.patch until
      patches are ready for all upstream OpenStack projects.
    - CVE-2023-2088

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 18 May 2023 10:50:36 -0400

nova (3:27.0.0-0ubuntu2) mantic; urgency=medium

  * SECURITY UPDATE: Unauthorized File Access
    - debian/patches/CVE-2023-2088.patch: Use force=True for os-brick
      disconnect during delete.
    - CVE-2023-2088

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 04 May 2023 16:21:10 +0200

## nova 27.4.0

=== requirements.txt ===
--- 
+++ 
@@ -16,6 +16,7 @@
 PasteDeploy>=1.5.0 # MIT
 Paste>=2.0.2 # MIT
 PrettyTable>=0.7.1 # BSD
+sqlalchemy-migrate>=0.13.0 # Apache-2.0
 alembic>=1.5.0 # MIT
 netaddr>=0.7.18 # BSD
 netifaces>=0.10.4 # MIT

=== debian/changelog ===
nova (3:27.4.0-0ubuntu1~cloud0) jammy-antelope; urgency=medium

  * New upstream point release for OpenStack Antelope:
    - d/p/CVE-2024-32498*.patch: Drop, included in release.
  * SECURITY UPDATE: Incomplete file access fix and regression for QCOW2
    backing files and VMDK flat descriptors
    - debian/patches/CVE-2024-40767-pre1.patch: port format inspector tests
      from glance.
    - debian/patches/CVE-2024-40767-pre2.patch: reproduce iso regression
      with deep format inspection.
    - debian/patches/CVE-2024-40767-pre3.patch: add iso file format
      inspector.
    - debian/patches/CVE-2024-40767-pre4.patch: fix qemu-img version
      dependent tests.
    - debian/patches/CVE-2024-40767-pre5.patch: stabilize iso format unit
      tests.
    - debian/patches/CVE-2024-40767.patch: change force_format strategy to
      catch mismatches.
    - CVE-2024-40767
  * debian/control: added qemu-utils to Build-Depends so qemu-img is
    available for new tests.

 -- James Page <james.page@ubuntu.com>  Wed, 24 Jul 2024 17:20:30 +0100

nova (3:27.1.0-0ubuntu1.2~cloud0) jammy; urgency=medium

  * SECURITY UPDATE: Arbitrary file access via custom QCOW2 external data
    (LP: #2059809)
    - debian/patches/CVE-2024-32498-1.patch: reject qcow files with
      data-file attributes.
    - debian/patches/CVE-2024-32498-2.patch: check images with
      format_inspector for safety.
    - debian/patches/CVE-2024-32498-3.patch: additional qemu safety
      checking on base images.
    - debian/patches/CVE-2024-32498-4.patch: fix vmdk_allowed_types
      checking.
    - CVE-2024-32498

 -- James Page <james.page@ubuntu.com>  Mon, 24 Jun 2024 10:55:45 +0100

=== debian/control ===
--- 
+++ 
@@ -18,6 +18,7 @@
  python3-setuptools (>= 16.0),
  python3-sphinx (>= 2.0.0),
  python3-sphinx-feature-classification (>= 1.1.0),
+ qemu-utils,
 Build-Depends-Indep:
  bandit,
  crudini,
